%define		_class		Search
%define		_subclass	Mnogosearch
%define		upstream_name	%{_class}_%{_subclass}

%global		__requires_exclude pear\\(config.php\\)
%global		__requires_exclude_from %{_docdir}

Name:		php-pear-%{upstream_name}
Version:	0.1.1
Release:	%mkrel 18
Summary:	Wrapper classes for the mnoGoSearch extention
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Search_Mnogosearch/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tar.bz2
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
This package provides wrapper classes for the mnoGoSearch search
engine. The package has two central classes "Search_Mnogosearch" and
"Search_Mnogosearch_Result". The class "Search_Mnogosearch" gives an
object that represents the search and the "Search_Mnogosearch_Result"
the result. The usage is just like the usage in the "DB" and
"DB_result" classes.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%doc %{upstream_name}-%{version}/docs/*
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml




%changelog
* Sat Mar 12 2016 umeabot <umeabot> 0.1.1-18.mga6
+ Revision: 989414
- Mageia 6 Mass Rebuild

* Mon Oct 20 2014 tv <tv> 0.1.1-17.mga5
+ Revision: 792121
- exclude deps from doc

* Wed Oct 15 2014 umeabot <umeabot> 0.1.1-16.mga5
+ Revision: 744941
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 0.1.1-15.mga5
+ Revision: 734164
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1.1-14.mga5
+ Revision: 687450
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 0.1.1-13.mga4
+ Revision: 517221
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.1-12.mga3
+ Revision: 377238
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 0.1.1-11.mga1
+ Revision: 44162
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Search_Mnogosearch


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-11mdv2011.0
+ Revision: 613766
- the mass rebuild of 2010.1 packages

* Tue Nov 17 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.1-10mdv2010.1
+ Revision: 467075
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.1.1-9mdv2010.0
+ Revision: 441563
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-8mdv2009.0
+ Revision: 237060
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-7mdv2007.0
+ Revision: 82556
- Import php-pear-Search_Mnogosearch

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-1mdk
- initial Mandriva package (PLD import)

